/**
 *   Copyright 2012-2019 Wicked Charts (http://github.com/adessoAG/wicked-charts)
 *
 *   Licensed under the Apache License, Version 2.0 (the "License");
 *   you may not use this file except in compliance with the License.
 *   You may obtain a copy of the License at
 *        http://www.apache.org/licenses/LICENSE-2.0
 *
 *   Unless required by applicable law or agreed to in writing, software
 *   distributed under the License is distributed on an "AS IS" BASIS,
 *   WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
 *   See the License for the specific language governing permissions and
 *   limitations under the License.
 */
package de.adesso.wickedcharts.highcharts.options.series;

import java.util.Arrays;
import java.util.List;

/**
 * 
 * @author Matthias Balke (matthias.balke@gmail.com)
 * 
 * @param <T>
 *          Type of x coordinate
 * @param <U>
 *          Type of y coordinate
 */
public class CustomCoordinatesSeries<T, U> extends Series<Coordinate<T, U>> {

	private static final long serialVersionUID = 1L;

	@Override
	public List<Coordinate<T, U>> getData() {
		return super.getData();
	}

	public CustomCoordinatesSeries<T, U> setData(final Coordinate<T, U>... data) {
		super.setData(Arrays.asList(data));
		return this;
	}

	@Override
	public CustomCoordinatesSeries<T, U> setData(final List<Coordinate<T, U>> data) {
		super.setData(data);
		return this;
	}

}
